Subject: Re: [PATCH] powerpc: delete boot-cpu and chosen nodes from all DTS files

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 14 Feb 2007 16:27:57 +1100

On Tue, 2007-02-13 at 23:15 -0600, Timur Tabi wrote:
> Benjamin Herrenschmidt wrote:
> 
> > I think that:
> > 
> >  - The /chosen node should be present in the .dts even if empty
> 
> Only one DTS file has it.  It's been removed from every other DTS.  Are 
> you should that instead of removing the last one, I should *add* one to 
> the other DTS files?

Or just leave them alone for now.

> >  - I don't see why you are removing linux,boot-cpu from the
> > documentation ! It's a fairly important property. 
> 
> No, it's a dead property.  Specifying linux,boot-cpu in the DTS is 
> obsolete and deprecated.  If you specify it, the device tree compiler 
> complains.  The proper way to specify the device tree is with the -b 
> parameter to dtc.

Ah indeed, my bad. We moved that to a header field didn't we ?

/me grumbles about kexec... :-)

Ben.